Skip to main content
GET
/
app
/
feedbacks
List App Feedbacks
curl --request GET \
  --url https://{api_base_url}/app/feedbacks \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{api_base_url}/app/feedbacks"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{api_base_url}/app/feedbacks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "b7e2f8a1-3c4d-5e6f-7890-abcdef123456",
      "app_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
      "conversation_id": "45701982-8118-4bc5-8e9b-64562b4555f2",
      "message_id": "9da23599-e713-473b-982c-4328d4f5c78a",
      "rating": "like",
      "content": "The response accurately answered my question about product specifications.",
      "from_source": "user",
      "from_end_user_id": "f1e2d3c4-b5a6-7890-abcd-ef1234567890",
      "from_account_id": null,
      "created_at": "2025-01-16T14:30:29Z",
      "updated_at": "2025-01-16T14:30:29Z"
    },
    {
      "id": "c8f3a9b2-4d5e-6f70-8901-bcdef2345678",
      "app_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
      "conversation_id": "56812a93-9229-5cd6-9f0c-75673b666603",
      "message_id": "ae24b5c0-f814-584d-a493-5439e5d6b7b1",
      "rating": "dislike",
      "content": "The answer was too vague and did not address the specific pricing question.",
      "from_source": "user",
      "from_end_user_id": "d2c1b0a9-8765-4321-fedc-ba9876543210",
      "from_account_id": null,
      "created_at": "2025-01-15T09:12:45Z",
      "updated_at": "2025-01-15T09:12:45Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.

Query Parameters

page
integer
default:1

Page number for pagination.

Required range: x >= 1
limit
integer
default:20

Number of records per page.

Required range: 1 <= x <= 101

Response

200 - application/json

A list of application feedbacks.

data
object[]

List of feedback items.

Last modified on July 9, 2026